org.gradle.nativebinaries.plugins

## Class NativeComponentModelPlugin.Rules

- java.lang.Object
- - org.gradle.nativebinaries.plugins.NativeComponentModelPlugin.Rules

- Enclosing class:
    NativeComponentModelPlugin

      public static class NativeComponentModelPlugin.Rules
      extends Object

  Model rules.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeComponentModelPlugin.Rules()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyHeaderSourceSetConventions(ProjectSourceSet sources)`
    `void` | `createDefaultFlavor(FlavorContainer flavors)`
    `void` | `createDefaultPlatforms(BuildTypeContainer buildTypes)`
    `void` | `createDefaultPlatforms(PlatformContainer platforms)`
    `void` | `createDefaultToolChain(org.gradle.nativebinaries.toolchain.internal.ToolChainRegistryInternal toolChains)`
    `void` | `createNativeBinaries(BinaryContainer binaries, NamedDomainObjectSet<NativeComponentSpec> nativeComponents, org.gradle.language.base.internal.LanguageRegistry languages, org.gradle.nativebinaries.toolchain.internal.ToolChainRegistryInternal toolChains, PlatformContainer platforms, BuildTypeContainer buildTypes, FlavorContainer flavors, org.gradle.internal.service.ServiceRegistry serviceRegistry, File buildDir)`
    `void` | `registerExtensions(ExtensionContainer extensions, PlatformContainer platforms, BuildTypeContainer buildTypes, FlavorContainer flavors)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeComponentModelPlugin.Rules

          public NativeComponentModelPlugin.Rules()

  - ### Method Detail

    - #### registerExtensions

          public void registerExtensions(ExtensionContainer extensions,
                                PlatformContainer platforms,
                                BuildTypeContainer buildTypes,
                                FlavorContainer flavors)

    - #### createNativeBinaries

          public void createNativeBinaries(BinaryContainer binaries,
                                  NamedDomainObjectSet<NativeComponentSpec> nativeComponents,
                                  org.gradle.language.base.internal.LanguageRegistry languages,
                                  org.gradle.nativebinaries.toolchain.internal.ToolChainRegistryInternal toolChains,
                                  PlatformContainer platforms,
                                  BuildTypeContainer buildTypes,
                                  FlavorContainer flavors,
                                  org.gradle.internal.service.ServiceRegistry serviceRegistry,
                                  File buildDir)

    - #### createDefaultToolChain

          public void createDefaultToolChain(org.gradle.nativebinaries.toolchain.internal.ToolChainRegistryInternal toolChains)

    - #### createDefaultPlatforms

          public void createDefaultPlatforms(PlatformContainer platforms)

    - #### createDefaultPlatforms

          public void createDefaultPlatforms(BuildTypeContainer buildTypes)

    - #### createDefaultFlavor

          public void createDefaultFlavor(FlavorContainer flavors)

    - #### applyHeaderSourceSetConventions

          public void applyHeaderSourceSetConventions(ProjectSourceSet sources)